var ShortCode = require('../models/shortcode');
var redis = require('redis');

var redisClient = redis.createClient();
var root = 'http://localhost:3000/';

/*
 * GET home page.
 */
exports.index = function(req, res) {
	res.render('index');
};


/*
 * POST to home page when URL is submitted
 */
exports.shorten = function(req, res) {
	var original = req.body.original;
	var sc = new ShortCode();
	var randomKey = sc.random5CharHash();

	redisClient.hset('url-keys', randomKey, original, function() {
		var data = {
			original: original,
			url: root + randomKey
		};

		res.render('process', data);
	});
};


/*
 * Determines the URL to redirect to based on supplied shortcode in URI
 */
exports.redirect = function(req, res) {
	var key = req.params.key;
	redisClient.hget('url-keys', key, function(err, obj) {
		console.log(obj); //should produce the link I typed in
		res.redirect(obj);
	});
};




